
#if !defined(DOF_SHADER)
#define DOF_SHADER

#include "projection_utility.sh"

uniform vec4 u_dofParams;        // (A, B, cocMaxRadius)

float depthValueToCircleOfConfusion(float depthSample) {
    float linear = depthSampleToWorldSpaceDepth(depthSample);
    return clamp((linear * u_dofParams.x) + u_dofParams.y, 0.0, 1.0);
}

#endif
