precision highp float;

uniform sampler2D s_cc3Texture2D;
uniform vec4 u_cc3MaterialDiffuseColor;

varying vec2 v_texCoord;

void main() {
    vec4 textureColor = texture2D(s_cc3Texture2D, v_texCoord);
    vec4 diffuseColor = u_cc3MaterialDiffuseColor * textureColor;
    gl_FragColor = diffuseColor;
}
