
precision highp float;

attribute vec4 in_position;
attribute vec2 in_texCoord;
attribute vec4 in_color;

uniform vec2 un_uvScrollSpeed;
uniform float un_time;

varying vec2 v_texCoord;
varying vec4 v_color;

void main() {
    gl_Position = in_position;
    v_texCoord = in_texCoord + un_uvScrollSpeed * un_time;
    v_color = in_color;
}
